<template>
  <div class="wrapper">
    <div v-if="todos.length > 0" class="todo-list-wrapper">
      <todo-item v-for="(item, index) in todos" :id="index" :item="item" :key="item.title + '-' + index"></todo-item>
    </div>
    <div v-else class="todo-list-wrapper">
      <p>List Is empty, try to add some notes!</p>
    </div>
  </div>
</template>

<script>
  import TodoItem from "./todoItem";
  export default {
    name: "todoList",
    components: {TodoItem},
    data () {
      return {

      }
    },
    computed: {
      todos () {
        return this.$store.getters.todos
      }
    }
  }
</script>

<style lang="scss" scoped>
</style>